
Foreman - Feature #3720

Operating system name should be different to Facter operating system string

11/22/2013 09:26 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Web Interface   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The OS names reported by Facter aren't the actual operating system names, so we should have a separate label/description to the

ID that Facter uses.

e.g. "RedHat" should be "Red Hat Enterprise Linux", "Scientific" should be "Scientific Linux" etc.

Related issues:

Related to Foreman - Bug #4389: OS label "RHEL Server 6.x" on host list is to... Duplicate 02/19/2014

Related to Foreman - Bug #12554: Operating System description is shown in nam... Closed 11/20/2015

Blocks Foreman - Tracker #3723: Red Hat branding issues Closed 11/22/2013

Associated revisions

Revision c2c32409 - 12/13/2013 03:02 PM - Greg Sutcliffe

Fixes #3720 - Add description field to operatingsystem

History

#1 - 11/22/2013 09:27 AM - Dominic Cleal

- Description updated

#2 - 11/22/2013 09:38 AM - Dominic Cleal

- Blocks Tracker #3723: Red Hat branding issues added

#3 - 11/22/2013 04:01 PM - Lukas Zapletal

Can we use RHEL instead of long variant?

#4 - 11/22/2013 04:09 PM - Dominic Cleal

Yeah, it'd certainly fit on the screen better.  I was wondering if the LSB descriptions could be used by default, though that's the "long form", but at

least let users edit the label/description.

#5 - 12/04/2013 01:29 PM - Dominic Cleal

- Target version set to 1.9.3

#6 - 12/04/2013 05:41 PM - Greg Sutcliffe

- Assignee set to Greg Sutcliffe

#7 - 12/04/2013 05:42 PM - Greg Sutcliffe

- Status changed from New to Assigned

#8 - 12/06/2013 10:58 AM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing
https://github.com/theforeman/foreman/pull/1076

#9 - 12/13/2013 03:02 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#10 - 12/13/2013 03:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c2c324096a6fc2892fc5a4ca5cc4c8090edd6633.

#11 - 02/19/2014 03:18 PM - Dominic Cleal

- Related to Bug #4389: OS label "RHEL Server 6.x" on host list is too long for column added

#12 - 11/23/2015 04:10 AM - Dominic Cleal

- Related to Bug #12554: Operating System description is shown in name column added
